Get external hot wallet balances
GET
/v1/external/wallet/balance/hot
Server
Get external hot wallet balances
Authorizations
XApiKey
TypeAPI Key (header: X-Api-Key)
Parameters
Query Parameters
min_balance
Typestring
Responses
Successful operation
application/json
JSON
{
"code": 0,
"data": [
{
"balance": "string",
"balance_usd": "string",
"count": 0,
"count_with_balance": 0,
"currency": {
"blockchain": "string",
"code": "string",
"id": "string",
"name": "string",
"sort_order": 0
}
}
],
"message": "string"
}
GET
/v1/external/wallet/balance/hot
Server
Server
Samples
cURL
curl -X GET \
'https://demo.dv.net/api/v1/external/wallet/balance/hot' \
-H "Content-Type: application/json"JavaScript
fetch('https://demo.dv.net/api/v1/external/wallet/balance/hot', {headers:{'Content-Type':'application/json'}})
.then(response => response.json())
.then(data => console.log(data));PHP
<?php
$url = 'https://demo.dv.net/api/v1/external/wallet/balance/hot';
$method = 'GET';
$headers = [
'Content-Type' => 'application/json',
];
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, $method);
curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
?>Python
import requests
url = 'https://demo.dv.net/api/v1/external/wallet/balance/hot'
headers = {
'Content-Type': 'application/json'
}
response = requests.get(url, headers=headers)
print(response.json())